#include "testlib.h"

int main(int argc, char **argv) {
  registerGen(argc, argv, 1);

  int t = opt<int>("t");
  int n = opt<int>("n");
  int c = opt<int>("c");
  printf("%d\n", t);
  for (int i = 0; i < t; i++) {
    printf("%d\n", n);
    for (int i = 0; i < n; i++) {
      int x1 = rnd.next(-c, c);
      int y1 = rnd.next(-c, c);
      int x2, y2;
      do {
        x2 = rnd.next(-c, c);
        y2 = rnd.next(-c, c);
      } while (x1 == x2 && y1 == y2);
      printf("%d %d %d %d\n", x1, y1, x2, y2);
    }
  }
}
